dim_traits< T > Struct Template Reference
Template metaprogramming classes

A trait to obtaine information about of dimensions of a class. More...

`#include <mia/core/traits.hh>`

Inheritance diagram for dim_traits< T >:
[legend]

## Public Types

typedef T::dimsize_type | dimsize_type
| the trait

## Detailed Description

template<typename T>
struct dim_traits< T >

A trait to obtaine information about of dimensions of a class.

A template to get an generic dimension vector

Template Parameters

  T | must be a template that defines a type dimsize_type

Definition at line 36 of file traits.hh.

## Member Typedef Documentation

## dimsize_type

template<typename T>

typedef T::dimsize_type dim_traits< T >::dimsize_type

the trait

Definition at line 38 of file traits.hh.

The documentation for this struct was generated from the following file:

- traits.hh